---
title: "IMPUC #2 &middot; Taking back control of my digital life"
author: Yarmo Mackenbach
slug: taking-back-control-of-digital-life
date: "2020-04-22 21:07:22"
published: false
---

"In My Particular Use Case" (or IMPUC) is a series of short posts describing how I setup my personal homelab, what worked, what failed and what techniques I eventually was able to transfer to an academic setting for my PhD work.

<!--more-->

I'll admit upfront to my sin: I used to defend Google while bashing other big corporations for attempting to control my life. Boy, have I wisened up. The long story short is of course plain and simple: any corporation big enough will not have your best interest at heart and why would they? Google follows your every step and purchase, Facebook manipulates timelines to influence emotions and God only knows what Microsoft was thinking with that search bar.

Like any organism, corporations evolve and adapt to survive. Unfortunately, often at our detriment. But times have changed and we no longer *need* to take it. It is worth discussing at length how one can take back control of one's digital life, but many, many, many have done so already. I will just write up how I've implemented some changes in my life to improve my overall digital well-being.

Caveat: everything discussed here is "server software"-related: sure I use Firefox for browsing and (K)Ubuntu as much as possible, but "client software" will be discussed in a different post. This doesn't mean it only applies to tech-savvy people: with as little as a Raspberry Pi 4 or a Rock 64, it is possible to host some if not all the solutions explained below.

## As a social being

Social network: well, that's tricky, isn't it? You can't host your own network and expect the whole world to talk to you there&ellipsis; Or can you have your cake and eat it? Federation to the rescue! (Detailed explanation here.) Not only does federation connect multiple communities, it even connects entire social networks. That means that if you host in your home your own little node, you can communicate with the rest of the entire network and your login credentials wouldn't even leave the house. I used to be active on the fediverse this way, though nowadays, I have found a (community)[https://fosstodon.org] that I love and trust and therefore no longer felt the need to keep this one in-home.

Something I take no 

## As a developer

## As a music enthusiast