---
title: "Varken: Plex monitoring solution"
author: Yarmo Mackenbach
slug: varken
date: "2020-05-05 21:49:58"
published: true
---

`#100DaysToOffload >> 2020-05-05 >> 011/100`

Today, I discovered [Varken](https://github.com/Boerderij/Varken), a neat solution to monitor your Plex ecosystem (including Sonarr, Radarr, etc.) and store the data in your InfluxDB instance. This solution is a great addition as I can now make Grafana or Chronograf dashboardz encompassing both server metrics and Plex metrics. The reason this is important is that I have a relatively low-power server (NUC) and a single stream on Plex can have a noticeable impact on the CPU usage.

Varken requires a [Tautulli](https://tautulli.com/) instance to collect the data from as well as a [MaxMind](https://www.maxmind.com) API key which unfortunately isn't optional. I run all software mentioned in this post in separate docker containers.

Also, 11th post for #100DaysToOffload today and 11 is my lucky number :)